org.keycloak.representations.adapters.config

## Class AdapterConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.representations.adapters.config.BaseAdapterConfig
    - - org.keycloak.representations.adapters.config.AdapterConfig

-     public class AdapterConfig
      extends BaseAdapterConfig

  Configuration for Java based adapters
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `allowAnyHostname`
    `protected boolean` | `alwaysRefreshToken`
    `protected String` | `authServerUrlForBackendRequests`
    `protected String` | `clientKeyPassword`
    `protected String` | `clientKeystore`
    `protected String` | `clientKeystorePassword`
    `protected int` | `connectionPoolSize`
    `protected boolean` | `disableTrustManager`
    `protected String` | `principalAttribute`
    `protected boolean` | `registerNodeAtStartup`
    `protected int` | `registerNodePeriod`
    `protected String` | `tokenStore`
    `protected String` | `truststore`
    `protected String` | `truststorePassword`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseAdapterConfig

      `bearerOnly, cors, corsAllowedHeaders, corsAllowedMethods, corsMaxAge, credentials, enableBasicAuth, exposeToken, publicClient, resource, useResourceRoleMappings`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, realm, realmKey, sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthServerUrlForBackendRequests()`
    `String` | `getClientKeyPassword()`
    `String` | `getClientKeystore()`
    `String` | `getClientKeystorePassword()`
    `int` | `getConnectionPoolSize()`
    `String` | `getPrincipalAttribute()`
    `int` | `getRegisterNodePeriod()`
    `String` | `getTokenStore()`
    `String` | `getTruststore()`
    `String` | `getTruststorePassword()`
    `boolean` | `isAllowAnyHostname()`
    `boolean` | `isAlwaysRefreshToken()`
    `boolean` | `isDisableTrustManager()`
    `boolean` | `isRegisterNodeAtStartup()`
    `void` | `setAllowAnyHostname(boolean allowAnyHostname)`
    `void` | `setAlwaysRefreshToken(boolean alwaysRefreshToken)`
    `void` | `setAuthServerUrlForBackendRequests(String authServerUrlForBackendRequests)`
    `void` | `setClientKeyPassword(String clientKeyPassword)`
    `void` | `setClientKeystore(String clientKeystore)`
    `void` | `setClientKeystorePassword(String clientKeystorePassword)`
    `void` | `setConnectionPoolSize(int connectionPoolSize)`
    `void` | `setDisableTrustManager(boolean disableTrustManager)`
    `void` | `setPrincipalAttribute(String principalAttribute)`
    `void` | `setRegisterNodeAtStartup(boolean registerNodeAtStartup)`
    `void` | `setRegisterNodePeriod(int registerNodePeriod)`
    `void` | `setTokenStore(String tokenStore)`
    `void` | `setTruststore(String truststore)`
    `void` | `setTruststorePassword(String truststorePassword)`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseAdapterConfig

      `getCorsAllowedHeaders, getCorsAllowedMethods, getCorsMaxAge, getCredentials, getResource, isBearerOnly, isCors, isEnableBasicAuth, isExposeToken, isPublicClient, isUseResourceRoleMappings, setBearerOnly, setCors, setCorsAllowedHeaders, setCorsAllowedMethods, setCorsMaxAge, setCredentials, setEnableBasicAuth, setExposeToken, setPublicClient, setResource, setUseResourceRoleMappings`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getRealm, getRealmKey, getSslRequired, setAuthServerUrl, setRealm, setRealmKey, setSslRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowAnyHostname

          protected boolean allowAnyHostname

    - #### disableTrustManager

          protected boolean disableTrustManager

    - #### truststore

          protected String truststore

    - #### truststorePassword

          protected String truststorePassword

    - #### clientKeystore

          protected String clientKeystore

    - #### clientKeystorePassword

          protected String clientKeystorePassword

    - #### clientKeyPassword

          protected String clientKeyPassword

    - #### connectionPoolSize

          protected int connectionPoolSize

    - #### authServerUrlForBackendRequests

          protected String authServerUrlForBackendRequests

    - #### alwaysRefreshToken

          protected boolean alwaysRefreshToken

    - #### registerNodeAtStartup

          protected boolean registerNodeAtStartup

    - #### registerNodePeriod

          protected int registerNodePeriod

    - #### tokenStore

          protected String tokenStore

    - #### principalAttribute

          protected String principalAttribute

  - ### Constructor Detail

    - #### AdapterConfig

          public AdapterConfig()

  - ### Method Detail

    - #### isAllowAnyHostname

          public boolean isAllowAnyHostname()

    - #### setAllowAnyHostname

          public void setAllowAnyHostname(boolean allowAnyHostname)

    - #### isDisableTrustManager

          public boolean isDisableTrustManager()

    - #### setDisableTrustManager

          public void setDisableTrustManager(boolean disableTrustManager)

    - #### getTruststore

          public String getTruststore()

    - #### setTruststore

          public void setTruststore(String truststore)

    - #### getTruststorePassword

          public String getTruststorePassword()

    - #### setTruststorePassword

          public void setTruststorePassword(String truststorePassword)

    - #### getClientKeystore

          public String getClientKeystore()

    - #### setClientKeystore

          public void setClientKeystore(String clientKeystore)

    - #### getClientKeystorePassword

          public String getClientKeystorePassword()

    - #### setClientKeystorePassword

          public void setClientKeystorePassword(String clientKeystorePassword)

    - #### getClientKeyPassword

          public String getClientKeyPassword()

    - #### setClientKeyPassword

          public void setClientKeyPassword(String clientKeyPassword)

    - #### getConnectionPoolSize

          public int getConnectionPoolSize()

    - #### setConnectionPoolSize

          public void setConnectionPoolSize(int connectionPoolSize)

    - #### getAuthServerUrlForBackendRequests

          public String getAuthServerUrlForBackendRequests()

    - #### setAuthServerUrlForBackendRequests

          public void setAuthServerUrlForBackendRequests(String authServerUrlForBackendRequests)

    - #### isAlwaysRefreshToken

          public boolean isAlwaysRefreshToken()

    - #### setAlwaysRefreshToken

          public void setAlwaysRefreshToken(boolean alwaysRefreshToken)

    - #### isRegisterNodeAtStartup

          public boolean isRegisterNodeAtStartup()

    - #### setRegisterNodeAtStartup

          public void setRegisterNodeAtStartup(boolean registerNodeAtStartup)

    - #### getRegisterNodePeriod

          public int getRegisterNodePeriod()

    - #### setRegisterNodePeriod

          public void setRegisterNodePeriod(int registerNodePeriod)

    - #### getTokenStore

          public String getTokenStore()

    - #### setTokenStore

          public void setTokenStore(String tokenStore)

    - #### getPrincipalAttribute

          public String getPrincipalAttribute()

    - #### setPrincipalAttribute

          public void setPrincipalAttribute(String principalAttribute)

Copyright © 2014. All Rights Reserved.